## com.saxonica.validate
Class EmptyContentValidator

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              com.saxonica.validate.ValidatingFilter
                  com.saxonica.validate.ContentValidator
                      com.saxonica.validate.AttributeValidator
                          com.saxonica.validate.EmptyContentValidator

All Implemented Interfaces:
  Result, Receiver

    public class EmptyContentValidator

extends AttributeValidator

This class is a filter that is used to validate that an element has empty content. The element is allowed to have attributes, these are validated by the Validator superclass.

Field Summary

Fields inherited from class com.saxonica.validate.ContentValidator
`nil, NIL_ALLOWED, NIL_DISALLOWED, NIL_IGNORED, pendingMessages, xsiType`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`EmptyContentValidator(UserComplexType type)` Create a validator for an empty content model

Method Summary
`void` `characters(CharSequence chars, int locationId, int properties)` Character data
`void` `endElement()` End of element
`ContentValidator` `getChildValidator()` Get a validator to handle the children of the current element.
`SchemaType` `getSchemaType()` Get the schema type against which we are validating, if any
`void` `startElement(int nameCode, int typeCode, int locationId, int properties)` Output element start tag (for a child of the element being validated)

Methods inherited from class com.saxonica.validate.AttributeValidator
`attribute, getMostRecentAttributeType, processWildcardTerm, setAttributeGroup, startContent`

Methods inherited from class com.saxonica.validate.ContentValidator
`endDocument, getAnnotation, getContainingElement, getContainingElementLocationId, getContainingElementName, getElementDeclaration, getNamespaceResolver, getNillability, getStartTagBuffer, isNil, makeValidator, makeValidatorForType, setAnnotation, setContainingElement, setElementDeclaration, setNillability, setStartTagBuffer, setXSIType`

Methods inherited from class com.saxonica.validate.ValidatingFilter
`getErrorCode, getInvalidity, isInvalid, reportIfInvalid, reportValidationError, setErrorCode, setInvalidity, usesTypeAnnotations`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`append, close, comment, getConfiguration, getDocumentLocator, getNamePool, getUnderlyingReceiver, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getPipelineConfiguration, getSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyContentValidator

    public EmptyContentValidator(UserComplexType type)
                          throws ValidationException

  Create a validator for an empty content model

  Parameters:
    `type` - the empty content type
  Throws:
    `ValidationException`

Method Detail

### getSchemaType

    public SchemaType getSchemaType()

  Get the schema type against which we are validating, if any

  Specified by:
    `getSchemaType` in class `ContentValidator`
  Returns:
    the schema type that this validator is validating against, or null

### getChildValidator

    public ContentValidator getChildValidator()

  Description copied from class: `ContentValidator`
  Get a validator to handle the children of the current element. This is called immediately on return from the startElement call that starts this element.

  Specified by:
    `getChildValidator` in class `ContentValidator`
  Returns:
    the validator to be used to handle the children

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Output element start tag (for a child of the element being validated)

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `AttributeValidator`
  Parameters:
    `nameCode` - integer code identifying the name of the element within the name pool.
    `typeCode` - integer code identifying the element's type within the name pool.
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - properties of the element node
  Throws:
    `XPathException`

### characters

    public void characters(CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Character data

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `AttributeValidator`
  Parameters:
    `chars` - The character content
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional properties
  Throws:
    `XPathException` - If this element does not allow character data

### endElement

    public void endElement()
                    throws XPathException

  End of element

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `ProxyReceiver`
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.